package com.sifang.modules.esign.query;

public class OrgInfo {

    //组织机构证件号
    private String orgIDCardNum;

    /**
     * 组织机构证件类型，可选值如下：
     *
     *     CRED_ORG_USCC - 统一社会信用代码
     *     CRED_ORG_REGCODE - 工商注册号
    */
    private String orgIDCardType;

    //法定代表人姓名
    private String legalRepName;
    //法定代表人证件号
    private String legalRepIDCardNum;




    /**
     * 法定代表人证件类型
     * CRED_PSN_CH_IDCARD - 中国大陆居民身份证
     * CRED_PSN_CH_HONGKONG - 香港来往大陆通行证
     * CRED_PSN_CH_MACAO - 澳门来往大陆通行证
     * CRED_PSN_CH_TWCARD - 台湾来往大陆通行证
     * CRED_PSN_PASSPORT - 护照
    */
    private String legalRepIDCardType;

    public String getLegalRepIDCardNum() {
        return legalRepIDCardNum;
    }

    public void setLegalRepIDCardNum(String legalRepIDCardNum) {
        this.legalRepIDCardNum = legalRepIDCardNum;
    }

    public String getOrgIDCardNum() {
        return orgIDCardNum;
    }

    public void setOrgIDCardNum(String orgIDCardNum) {
        this.orgIDCardNum = orgIDCardNum;
    }

    public String getOrgIDCardType() {
        return orgIDCardType;
    }

    public void setOrgIDCardType(String orgIDCardType) {
        this.orgIDCardType = orgIDCardType;
    }

    public String getLegalRepName() {
        return legalRepName;
    }

    public void setLegalRepName(String legalRepName) {
        this.legalRepName = legalRepName;
    }

    public String getLegalRepIDCardType() {
        return legalRepIDCardType;
    }

    public void setLegalRepIDCardType(String legalRepIDCardType) {
        this.legalRepIDCardType = legalRepIDCardType;
    }
}
